
llbind - Bind job steps to a reservation

Purpose

llbind -  Binds job steps to a reservation in LoadLeveler, or
unbinds job steps from the  reservations to which they currently
belong.  The bound job steps will only be scheduled to run on the
nodes reserved by the reservation. 

Syntax

llbind  { -? | -H | -v | [-q] { -r | -R reservation_ID }
         job_step_list }

Flags   

-? 
   Provides a short usage message.

-H                 
   Provides extended help information.

-v                 
   Displays the name of the command, release number, service level, 
   service level date, and lowest level of the operating system to run 
   this release.                  

-q                 
   Specifies quiet mode: print no messages other than error messages.

-r                 
   Specifies an unbind operation. If the job steps are already bound to 
   a reservation, LoadLeveler will unbind the job steps from that 
   reservation. Otherwise, LoadLeveler eliminates any association 
   between the job steps and a reservation.

-R reservation_ID  
   Specifies a reservation ID to which the job steps will be bound.  
   Input for a reservation ID takes the form [host.]rid[.r] where: 
   *  host - Is the name of the schedd machine to which the reservation 
             was submitted. The default is the local machine.
   *  rid - Is the ID assigned to the reservation when it was created. 
            A reservation ID is required.
   *  r - Indicates that this is a reservation ID (r is optional).

job_step_list     
   Specifies a blank-delimited list of job steps to be bound to the 
   reservation or unbound from their respective reservations.  The name 
   of each job step should be in the form [host.]jobid[.stepid] where: 
   *  host - Is the name of the schedd machine to which the job was 
             submitted. The default is the local machine.
   *  jobid - Is the job ID assigned to the job when it was submitted. 
              The job ID is required.
   *  stepid - Is the step ID assigned to the job when it was submitted. 
               The default is that all steps of the job will be bound or 
	       unbound.

Description

The llbind command is  for LoadLeveler administrators and owner or
users of a reservation.  Regular users can only bind their own job
steps to a reservation  that they are allowed to use, while a
LoadLeveler administrator can bind any job steps to any
reservation.

Bound job steps will be scheduled to run on the reserved nodes only.

Only job steps in an idle-like state can be bound to a reservation. A 
job step that is in an idle-like state that is already bound to a 
reservation can be bound to a new reservation using the  llbind command. 
The command will first unbind the job step from the reservation it is 
currently bound to and then bind it to the requested reservation.

Only existing job steps queued in LoadLeveler can be bound to a 
reservation through this command. The LL_RES_ID environment variable can
be used to bind an interactive POE job to a reservation or cause 
llsubmit to both submit and bind a batch job to a reservation.  For 
additional information about setting the LL_RES_ID environment variable 
to bind an interactive POE job to a reservation, see the "Building and 
submitting jobs" chapter of LoadLeveler: Using and Administering. The 
llqres command can be used to view the list of job steps bound to the 
reservation.

This command is for the BACKFILL scheduler only.

Examples

1. To request to bind the job step c188f2n01.6.0 to reservation
   c188f1n03.2.r, issue: 

   llbind -R c188f1n03.2.r c188f2n01.6.0

   You should receive a response similar to the following: 

   Request to bind job steps to reservation c188f1n03.2.r has been sent 
   to LoadLeveler

2. To request to unbind the job step c188f2n01.6.0 from the reservation 
   to which it is  currently bound, issue: 

   llbind -r c188f2n01.6.0

   You should receive a response similar to the following: 

   Request to unbind job steps from their respective reservations has 
   been sent to LoadLeveler.

Security

LoadLeveler administrators and users can issue this command.
