
llfavorjob - Reorder system queue by job

Purpose

Sets specified jobs to a higher system priority than all jobs that are 
not favored. This command also unfavors previously favored jobs, 
restoring the original priority, when you specify the -u flag.

Syntax

llfavorjob [-?] [-H] [-v] [-q] [-u] <joblist>

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level, 
   service level date, and lowest level of the operating system to run 
   this release.

-q 
   Specifies quiet mode: print no messages other than error messages.

-u 
   Unfavors previously favored jobs, requeuing them according to their 
   original priority levels.

joblist
   Is a blank-delimited list of jobs of the form host.jobid.stepid 
   where: 
   *  host is the name of the schedd machine to which the job was
      submitted (delimited by dot). The default is the local machine.
   *  jobid is the job ID assigned to the job by LoadLeveler when it 
      was submitted using the llsubmit command. jobid is required.
   *  stepid (delimited by dot) Is the job step ID assigned to the
      job by LoadLeveler when it was submitted using the llsubmit
      command. The default is to include all members of the job.

Description

If this command is issued against jobs that are already running, it has 
no effect. If the job vacates, however, and returns to the queue, the 
job gets re-ordered with the new priority.

If more than one job is affected by this command, then the jobs are 
ordered by the sysprio expression and are scanned before the not favored 
jobs. However, favored jobs which do not match the job requirements with 
available machines may run after not favored jobs. This command remains 
in effect until reversed with the -u option.

Examples

1. This example assigns job steps 12.4 on the machine iron and 8.2 on 
   zinc the highest priorities in the system, with the job steps 
   ordered by the sysprio expression:  

   llfavorjob iron.12.4 zinc.8.2

2. This example unfavors job steps 12.4 on the machine iron and 8.2 on 
   the machine zinc:  

   llfavorjob -u iron.12.4 zinc.8.2

Security

LoadLeveler administrators can issue this command.
