
llprio - Change the user priority of submitted job steps

Purpose

Changes the user priority of one or more job steps in the LoadLeveler 
queues. You can adjust the priority by supplying a + (plus) or - (minus) 
immediately followed by an integer value. llprio does not affect a job 
step that is running, even if its priority is lower than other jobs 
steps, unless the job step goes into the Idle state.

Syntax

llprio [-?] [-H] [-v] [-q] [+<integer> | -<integer> | -p <priority>] 
       <joblist>

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level, 
   service level date, and lowest level of the operating system to 
   run this release.

-q 
   Specifies quiet mode: print no messages other than error messages.

+ | - integer
   Operates on the current priority of the job step, making it higher 
   (closer to execution) or lower (further from execution) by adding 
   or subtracting the value of integer.

-p priority
   Is the new absolute value for priority. The valid range is 0-100 
   (inclusive) where 0 is the lowest possible priority and 100 is 
   highest.

joblist
   Is a blank-delimited list of jobs of the form host.jobid.stepid
   where: 
   *  host is the name of the schedd machine to which the job step was 
      submitted (delimited by dot). The default is the local machine. 

      If the job step was submitted from a submit-only machine, this is 
      the name of the machine where the schedd daemon that sent the job 
      to the negotiator resides.

   *  jobid is the job ID assigned to the job when it was submitted 
      using the llsubmit command. jobid is required.
   *  stepid (delimited by dot) is the job step ID assigned to the job 
      when it was submitted using the llsubmit command. stepid defaults 
      to all steps of the job.

Description

The user priority of a job step ranges from 0 to 100 inclusively, with 
higher numbers corresponding to greater priority. The default priority 
is 50. Only the owner of a job step or the LoadLeveler administrator can 
change the priority of that job step. Note that the priority is not the 
UNIX nice priority.

Priority changes resulting in a value less than 0 become 0.

Priority changes resulting in a value greater than 100 become 100.

Any change to a job step's priority applied by a user is relative only 
to that user's other job steps in the same class. If you have three job 
steps enqueued, you can reorder those three job steps with llprio but 
the result does not affect job steps submitted by other users, 
regardless of their priority and position in the queue.

For more information, see the discussion of setting and changing the 
priority of a job in LoadLeveler: Using and Administering.

Examples

1. This example raises the priority of job 4, job step 1 submitted to
   machine bronze by a value of 25:

   llprio +25 bronze.4.1

2. This example sets the priority of job 18, job step 4 submitted to
   machine silver to 100, the highest possible value:

   llprio -p 100 silver.18.4

Results

The following shows a sample system response for the llprio -p 100
silver.18.4 command: 

llprio: Priority command has been sent to the central manager.

Security

LoadLeveler administrators and users can issue this command.
