#! /bin/ksh
#
# This script is relevant only if you need AFS support for LoadLeveler
# for Linux 3.2.1 running on xSeries Red Hat Enterprise Linux 3 systems. 
#
# This script can be used to create the LoadLeveler-AFS interface library libllafs.so that
# is compatible with LoadLeveler 3.2.1 for Linux on xSeries X86 Red Hat Enterprise Linux 3
# systems. It should not be used on an X86_64 64-bit system.
# The required libraries: /usr/lib/afs/libauth.a, /usr/lib/afs/libsys.a, /usr/lib/librx.a, and
# /usr/lib/liblwp.a are part of the openafs-devel-1.2.11-rhel3.0.1.i386.rpm bundle
# and can be downloaded from the following web site: http://www.openafs.org
# 
# After the successful creation of the libllafs.so library, the following 
# additional steps are required to complete the installation:
#  
#   1. As root, copy this file (libllafs.so) to the /usr/lib directory
#      of all machines in your LoadLeveler cluster.
#
#   2. As root, execute the command: /sbin/ldconfig 
#      to set up the correct links for the shared binaries and rebuild the cache.
#
g++ -shared -L/usr/lib/afs -Wl,-soname,libllafs.so.1.0.0 -o libllafs.so \
  ll_afs_mod1.o ll_afs_mod2.o -lelf -lauth -lsys -lrx -llwp -lm
